@import "variables";

.features {
	display: flex;
	justify-content: center;
	position: relative;

	&-container {
		max-width: 1200px;
		padding: 5rem 0;
	}

	&-list {
		display: flex;
		flex-direction: column;
		align-items: center;
		justify-content: center;
		width: 100%;
		gap: 5rem;

		&-item {
			display: flex;
			flex-direction: column;
			align-items: center;
			justify-content: center;
			gap: 2.5rem;

			&-image {
				max-width: 260px;

				&.large {
					max-width: calc(100% - 20px);
				}

				img {
					width: 100%;
					height: 100%;
				}
			}

			&-body {
				display: flex;
				flex-direction: column;
				align-items: center;
				justify-content: center;
				max-width: 300px;
			}

			&-title {
				text-align: center;
				font-weight: 500;
				font-size: 1.125rem;
				margin-top: 0.6em;
			}

			&-icon {
				height: 50px;
				width: 50px;

				img {
					width: 100%;
					height: 100%;
				}
			}
		}
	}

	&-carousel {
		display: grid;
		grid-template-columns: 50% 50%;
		width: 100%;
		height: 100%;
		justify-items: right;

		&-body {
			width: clamp(460px, 70%, 70%);
			height: max-content;
			align-self: center;

			display: flex;
			flex-direction: column;
			gap: 2rem;

			&-title {
				display: flex;
				flex-direction: column;
				gap: 2rem;

				&-text {
					font-size: 36px;
					line-height: 1.27em;
					min-height: 8rem;
				}

				&-icon {
					width: 3.125rem;
					height: 3.125rem;

					img {
						width: 100%;
						height: 100%;
					}
				}
			}
		}

		&-image {
			display: block;
			position: relative;
			width: 100%;
			height: 850px;

			img {
				position: absolute;
				top: 0;
				left: 5rem;
				bottom: 0;
				right: 0;
			}
		}
	}

	&-background {
		position: absolute;
		overflow: hidden;
		width: 100%;
		height: 100%;
		z-index: -1;

		&-container {
			width: 100%;
			height: 100%;
			position: relative;
			opacity: 0.55;
		}

		&-square {
			display: block;
			position: absolute;
			transform-origin: center !important;

			&-group {
				&-1 {
					top: 250px;
					left: 416px;
					opacity: 0.05;
				}
				&-2 {
					top: 555px;
					right: 37px;
					opacity: 0.21;
				}
			}

			&-1 {
				top: 143px;
				left: 29px;
			}
			&-2 {
				top: 85px;
				left: 216px;
			}
			&-3 {
				top: 423px;
				left: 21px;
			}
			&-4 {
				top: 737px;
				left: 152px;
			}
			&-5 {
				top: 62px;
				left: 404px;
			}
			&-6 {
				top: 169px;
				right: 517px;
			}
			&-7 {
				top: 270px;
				right: 293px;
			}
			&-8 {
				top: 62px;
				right: 306px;
			}
			&-9 {
				top: 190px;
				right: 36px;
			}
			&-10 {
				top: 380px;
				left: 300px;
			}
			&-11 {
				top: 565px;
				left: 366px;
			}
		}
	}
}
